> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainstream.io/llms.txt
> Use this file to discover all available pages before exploring further.

# ウォレット - 損益計算

> ウォレットトークンの損益を計算



## OpenAPI

````yaml /jp/api-reference/openapi-data-jp.yaml POST /v2/wallet/{chain}/{walletAddress}/calculate-pnl
openapi: 3.1.0
info:
  title: Services API
  description: Services API
  contact:
    name: AI
    email: ai@sx.ai
  license:
    name: MIT
  version: '1.0'
servers:
  - url: https://api.chainstream.io
    description: Production
security:
  - bearer_auth: []
  - api_key_auth: []
tags:
  - name: Blockchain
    description: ブロックチェーン関連の操作
  - name: Token
    description: トークン関連の操作
  - name: Trade
    description: 取引関連の操作
  - name: Wallet
    description: ウォレット関連の操作
  - name: Dex
    description: DEX 関連の操作
  - name: Ranking
    description: ランキング関連の操作
  - name: DexPool
    description: DEX プール関連の操作
  - name: Watchlist
    description: ウォッチリスト関連の操作
  - name: KYT
    description: KYT 関連の操作
  - name: Webhook
    description: Webhook 関連の操作
  - name: RedPacket
    description: レッドパケット関連の操作
  - name: IPFS
    description: IPFS 関連の操作
  - name: DexScreener
    description: DexScreener 関連の操作
paths:
  /v2/wallet/{chain}/{walletAddress}/calculate-pnl:
    post:
      tags:
        - Wallet
      summary: ウォレット - PNL 計算
      description: ウォレットトークンの損益を計算
      operationId: calculate.pnl
      parameters:
        - name: chain
          in: path
          description: サポートされているネットワークに記載されているチェーン名
          required: true
          schema:
            $ref: '#/components/schemas/ChainSymbol'
          example: sol
        - name: walletAddress
          in: path
          description: ウォレットのアドレス
          required: true
          schema:
            type: string
          example: MJKqp326RZCHnAAbew9MDdui3iCKWco7fsK9sVuZTX2
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CalculatePnlInput'
        required: true
      responses:
        '200':
          description: 成功レスポンス
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SuccessResponse'
components:
  schemas:
    ChainSymbol:
      type: string
      description: Supported blockchain chains
      enum:
        - sol
        - eth
        - bsc
    CalculatePnlInput:
      type: object
      properties:
        tokenAddresses:
          type:
            - array
            - 'null'
          items:
            type: string
          description: PnL を計算するトークンアドレスのリスト
          example:
            - 6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN
            - So11111111111111111111111111111111111111112
    SuccessResponse:
      type: object
      required:
        - success
      properties:
        success:
          type: boolean
          description: 操作の成功ステータス
          example: true
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    api_key_auth:
      type: apiKey
      in: header
      name: X-API-KEY

````